<?php

/*
Plugin Name: Advanced Redirection Permissions
Description: Advanced access to Redirection
Version: 0.2
*/

add_filter( 'redirection_role', function( $role ) {
	return 'edit_posts';  // Add your chosen capability or role here
} );

add_filter( 'redirection_capability_check', function( $capability, $permission_name ) {
	if ( $permission_name === 'redirection_cap_redirect_manage' || $permission_name === 'redirection_cap_redirect_add' ) {
		return $capability;
	}

	return 'manage_options';
} );
